Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class CommandLineArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.CommandLineArgumentException

    class CommandLineArgumentException
    extends GradleException

author:
  Hans Dockter

Constructor Summary
`CommandLineArgumentException()`
`CommandLineArgumentException(java.lang.String message)`
`CommandLineArgumentException(java.lang.String message, java.lang.Throwable cause)`
`CommandLineArgumentException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CommandLineArgumentException

    public CommandLineArgumentException()

### CommandLineArgumentException

    public CommandLineArgumentException(java.lang.String message)

### CommandLineArgumentException

    public CommandLineArgumentException(java.lang.String message, java.lang.Throwable cause)

### CommandLineArgumentException

    public CommandLineArgumentException(java.lang.Throwable cause)

Groovy Documentation